Support Level: 3rd Level Topic: ADTF::ConanCMakeMisc

Resolution: Product Issue Opened FAQ Links:  

Description

Supportanfrage

CMake Error at ADTFConfig.cmake:68 (find_package):

Found package configuration file:

C:/EB/Assist/DW/ADTF-3.14.0/pkg/adtfui/adtfui-config.cmake

but it set adtfui_FOUND to FALSE so package "adtfui" is considered to be

NOT FOUND. Reason given by package:

The following imported targets are referenced, but are missing:

adtf::streaming3

Call Stack (most recent call first):

ADTFConfig.cmake:77 (adtf_private_find_component)

src/examples/src/adtf/system_services/gui/demo_player_ctrl/demo_player_ctrl_lib/CMakeLists.txt:5 (

find_package)

 Lösung

Hi,

there are two problems:

The UI SDK package misses streaming3 SDK as dependency

It works when your filter requests streaming3 before ui

find_package(ADTF 3 REQUIRED COMPONENTS streaming3 ui filtersdk)

It works not when only ui is requested (as it should work)

find_package(ADTF 3 REQUIRED COMPONENTS ui filtersdk)

That's the problem for some examples, which must be fixed:

[ACORE-11472] - Missing dependencies in adtfui package

Current workaround options for custom filter using ui package:

add streaming3 requirement before ui (as seen above)

add find_package(adtfstreaming3 REQUIRED) to $(ADTF_DIR)/pkg/adtfui/adtf-config.cmake

Incorrect dependencies in certain examples

The Qt5 JSON Display (BETA)  misses qtvisualisation

find_package(ADTF COMPONENTS filtersdk ui qtvisualisation)
Demo Calculator RPC Interface Filter misses filtersdk and does not need fep

find_package(ADTF COMPONENTS filtersdk systemsdk remotesdk)

target_link_libraries(${EXAMPLE_TARGETNAME} PUBLIC adtf::remotesdk adtf::filtersdk)

These are the changes for the workaround to rebuild.

Will be fixed with:

[ACORE-11474] - Incorrect dependencies in certain examples

Sorry for the convenience and thanks for the report!

Unfortunately the current build system does not matter because dependencies exist, we will also rework our release test to avoid this

in future.

All will come as soon as possible with ADTF 3.14.1.

History

#1 - 2022-03-24 12:05 - hidden

- Project changed from Public Support to 7

- Status changed from New to Customer Feedback Required

- Customer set to ELEKTROBIT

- Topic set to ADTF::ConanCMakeMisc

Hello,

to review the problem we need some more informations.

What your environment looks like, can you send us a step by step explanation to get to this point? Thanks in Advance.

Best regards,

Margarete

#2 - 2022-03-24 12:50 - hidden

hi,

We are trying to build the latest ADTF 3.14.0 (digitalwerk version) in cmake but we are facing this error in Cmake while building.

#3 - 2022-03-24 12:53 - hidden

Are you able to build ADTF 3.14.0 using cmake

#4 - 2022-03-24 13:25 - hidden

we are not building the whole adtf.

we are building only the adtf examples

#9 - 2022-03-24 21:21 - hidden

- Support Level changed from 2nd Level to 3rd Level

#11 - 2022-03-24 21:22 - hidden

- Status changed from Customer Feedback Required to In Progress

#12 - 2022-03-25 10:33 - hidden

- Project changed from 7 to Public Support

- Subject changed from ADTF 3.14.0 Building Examples Fail to Build of UI package related content and rebuild of the examples fails with adtf 3.14.0

- Description updated

- Status changed from In Progress to To Be Closed

- Private changed from Yes to No

- Resolution set to Product Issue Opened

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-11472; https://www.cip.audi.de/jira/browse/ACORE-11474

Hi,
there are two problems:

The UI SDK package misses streaming3 SDK as dependency

It works when your filter requests streaming3 before ui

find_package(ADTF 3 REQUIRED COMPONENTS streaming3 ui filtersdk)

It works not when only ui is requested (as it should work)

find_package(ADTF 3 REQUIRED COMPONENTS ui filtersdk)

That's the problem for some examples, which must be fixed:

[ACORE-11472] - Missing dependencies in adtfui package

Current workaround options for custom filter using ui package:

add streaming3 requirement before ui (as seen above)

add find_package(adtfstreaming3 REQUIRED) to $(ADTF_DIR)/pkg/adtfui/adtf-config.cmake

Incorrect dependencies in certain examples

The Qt5 JSON Display (BETA)  misses qtvisualisation

find_package(ADTF COMPONENTS filtersdk ui qtvisualisation)

Demo Calculator RPC Interface Filter misses filtersdk and does not need fep

find_package(ADTF COMPONENTS filtersdk systemsdk remotesdk)

target_link_libraries(${EXAMPLE_TARGETNAME} PUBLIC adtf::remotesdk adtf::filtersdk)

These are the changes for the workaround to rebuild.

Will be fixed with:

[ACORE-11474] - Incorrect dependencies in certain examples

Sorry for the inconvenience and thanks for the report!

Unfortunately the current build system does not matter because dependencies exist, we will also rework our release test to avoid this in future.

All will come as soon as possible with ADTF 3.14.1.

#13 - 2023-02-09 07:58 - hidden

- Status changed from To Be Closed to Closed
